export declare type Selector<T> = (item: T) => number;
export declare enum Monotonicity {
    WEAKLY_INCREASING = "weakly increasing",
    STRICTLY_INCREASING = "strictly increasing",
    WEAKLY_DECREASING = "weakly decreasing",
    STRICTLY_DECREASING = "strictly decreasing"
}
export declare type IsMonotonicOptions<T> = {
    selector: Selector<T>;
    monotonicity: Monotonicity;
};
