"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetNotEmpty = exports.SET_NOT_EMPTY = void 0;
const class_validator_1 = require("class-validator");
const set_not_empty_predicate_1 = require("./set-not-empty.predicate");
exports.SET_NOT_EMPTY = 'setNotEmpty';
function SetNotEmpty(validationOptions) {
    return class_validator_1.ValidateBy({
        name: exports.SET_NOT_EMPTY,
        validator: {
            validate: (value, _arguments) => set_not_empty_predicate_1.setNotEmpty(value),
            defaultMessage: class_validator_1.buildMessage(eachPrefix => `${eachPrefix}$property should not be an empty set`, validationOptions),
        },
    }, validationOptions);
}
exports.SetNotEmpty = SetNotEmpty;
//# sourceMappingURL=set-not-empty.decorator.js.map